Bug 1021867 - engine-setup should not fail if /etc/sysconfig/nfs does not exist
engine-setup should not fail if /etc/sysconfig/nfs does not exist
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Yedidyah Bar David
sefi litmanovich
integration
: Triaged
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-22 04:49 EDT by Yedidyah Bar David
Modified: 2014-01-21 17:27 EST (History)
8 users (show)

See Also:
Fixed In Version: is21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20402 None None None Never
oVirt gerrit 20483 None None None Never

  None (edit)
Description Yedidyah Bar David 2013-10-22 04:49:35 EDT
Description of problem:

engine-setup fails if /etc/sysconfig/nfs does not exist and user chose to configure nfs (iso domain).

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. rm /etc/sysconfig/nfs
2. engine-setup, choose to configure a local iso domain
3.

Actual results:
engine-setup fails with:
[ ERROR ] Failed to execute stage 'Misc configuration': [Errno 2] No such file or directory: '/etc/sysconfig/nfs'

Expected results:
engine-setup should continue as if the file existed and was empty.

Additional info:

This file can be removed by a user.
It also used to be deleted by engine-cleanup until recently.
Comment 1 sefi litmanovich 2013-10-31 11:28:30 EDT
Verified on RHEVM 3.3 IS21
Comment 2 Itamar Heim 2014-01-21 17:22:48 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:23:57 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:27:43 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.